
import 'package:liftmanager/internal/wode/page/piao/piao_order.dart';
import 'package:liftmanager/mvp/base_page_presenter.dart';
import 'package:liftmanager/net/api_service.dart';
import 'package:liftmanager/utils/log_util.dart';
import 'package:liftmanager/widgets/state_layout.dart';

class   PiaoOrderListPresenter extends BasePagePresenter<PiaoOrderState> {

  Future getOrderList(int page,int id) async {
    await NewApiService().getQueryPageByInvoiceId(page,6,id,onSuccess: (res) {
      LogUtil.d(res);
      LogUtil.d(666663);
      view.closeProgress();
      if (res != null) {
        view.provider.setHasMore(res.records.length == 6);
        if(page == 1){
          view.provider.list.clear();
          if (res.records.isEmpty) {
            view.provider.setStateType(StateType.empty);
          } else {
            view.provider.addAll(res.records);
          }
        }else{
          view.provider.addAll(res.records);
        }

      } else {
        /// 加载失败
        view.provider.setHasMore(false);
        view.provider.setStateType(StateType.empty);
      }
    }, onError: (code, msg) {
      view.closeProgress();
      view.provider.setHasMore(false);
      view.provider.setStateType(StateType.network);
    });
  }
}


